/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// DerivedLocal.java

package org.objectweb.jonas.jtests.beans.secured;

import javax.ejb.EJBLocalObject;

/**
 * This is an interface derived from the Base
 */
public interface DerivedLocal extends EJBLocalObject {
    public boolean localIsCallerInRole(String role);
    public String localGetPrincipalName();


    public void anotherMethod();
    public void noRunAsWithRole1();
    public void noRunAsWithRole2();
    public void runAsWithRole1();
    public void runAsWithRole2();

    public void runAsRole2();
    public void runAsRole3();
    public void runAsRole2AndCallAnotherBean();
}
